﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections;
using System.Diagnostics;

namespace CustomOrderInGroup
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            xamDataGrid1.DataSource = new List<Data>
            {
                new Data { City ="Kolhapur", Pincode=1},
                new Data { City ="Pune",Pincode =2  },
                new Data { City="Pune" ,Pincode=2  },
                new Data { City ="Nagpur", Pincode=3}, 
                new Data { City ="Nashik",Pincode=2 },
                new Data { City ="Sangli",Pincode =0 },
            };

        }
    }
    
    public class Data
    {
        public string City { get; set; }
        public int Pincode { get; set; } 
    }

    public class MyGroup : IGroupByEvaluator
    {
        public bool DoesGroupContainRecord(GroupByRecord groupByRecord, DataRecord record)
        {
            if (((groupByRecord.ChildRecords[0] as DataRecord).DataItem as Data).Pincode == (record.DataItem as Data).Pincode)
            {
                return true;
            }
            return false;
        }

        public object GetGroupByValue(GroupByRecord groupByRecord, DataRecord record)
        {
            return (record.DataItem as Data).City;
        }

        public IComparer SortComparer
        {
            get { return null; }
        }
    }

}
